<?php 
header('Content-Type: text/css; charset=utf-8'); 
require_once('../../../system/class.main.php');

$id=$_GET['id'];
$s=$main->m_array("SELECT tiny_head FROM `".DB_PREFIX."messages` where id='$id'");
preg_match_all("/<style[^>]*>(.*?)<\\/style>/si", $s['tiny_head'], $match);

echo implode("\n", $match[1]);
